<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ijk_list_m::resize_ijk_ptr Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceijk__list__m.html">ijk_list_m</a></li><li class="navelem"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html">resize_ijk_ptr</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interfaceijk__list__m_1_1resize__ijk__ptr-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ijk_list_m::resize_ijk_ptr Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for ijk_list_m::resize_ijk_ptr:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfaceijk__list__m_1_1resize__ijk__ptr__coll__graph.png" border="0" usemap="#ijk__list__m_1_1resize__ijk__ptr_coll__map" alt="Collaboration graph"/></div>
<map name="ijk__list__m_1_1resize__ijk__ptr_coll__map" id="ijk__list__m_1_1resize__ijk__ptr_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a09e419f3e73015b31cfbcad767ef3d94"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#a09e419f3e73015b31cfbcad767ef3d94">resize_ijk_basic_ptr</a> (first_ijk, n_new)</td></tr>
<tr class="separator:a09e419f3e73015b31cfbcad767ef3d94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29057fe961d263843d4897894e8e5c95"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#a29057fe961d263843d4897894e8e5c95">resize_ijk_flag_ptr</a> (first_ijk, n_new)</td></tr>
<tr class="separator:a29057fe961d263843d4897894e8e5c95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a606abd4d6191c5aa13caa18308a82d57"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#a606abd4d6191c5aa13caa18308a82d57">resize_ijk_dir_i_ptr</a> (first_ijk, n_new)</td></tr>
<tr class="separator:a606abd4d6191c5aa13caa18308a82d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b8f29ad20a9ee9b3f69295b02e0cab4"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#a0b8f29ad20a9ee9b3f69295b02e0cab4">resize_ijk_dir_ptr</a> (first_ijk, n_new)</td></tr>
<tr class="separator:a0b8f29ad20a9ee9b3f69295b02e0cab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb736c092bf33b3eede12c262cdfef82"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#abb736c092bf33b3eede12c262cdfef82">resize_ijk_vec_ptr</a> (first_ijk, n_new)</td></tr>
<tr class="separator:abb736c092bf33b3eede12c262cdfef82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57be25b12bf53f66f0cf035456c814a6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#a57be25b12bf53f66f0cf035456c814a6">resize_ijk_r1_ptr</a> (first_ijk, n_new, n_d1)</td></tr>
<tr class="separator:a57be25b12bf53f66f0cf035456c814a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9f3a9ff4ad9beba68a40272fee02079"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceijk__list__m_1_1resize__ijk__ptr.html#aa9f3a9ff4ad9beba68a40272fee02079">resize_ijk_r2_ptr</a> (first_ijk, n_new, n_d1, n_d2)</td></tr>
<tr class="separator:aa9f3a9ff4ad9beba68a40272fee02079"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function/Subroutine Documentation</h2>
<a id="a09e419f3e73015b31cfbcad767ef3d94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09e419f3e73015b31cfbcad767ef3d94">&#9670;&nbsp;</a></span>resize_ijk_basic_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_basic_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__t.html">ijk_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a606abd4d6191c5aa13caa18308a82d57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a606abd4d6191c5aa13caa18308a82d57">&#9670;&nbsp;</a></span>resize_ijk_dir_i_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_dir_i_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b8f29ad20a9ee9b3f69295b02e0cab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b8f29ad20a9ee9b3f69295b02e0cab4">&#9670;&nbsp;</a></span>resize_ijk_dir_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_dir_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__t.html">ijk_dir_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a29057fe961d263843d4897894e8e5c95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29057fe961d263843d4897894e8e5c95">&#9670;&nbsp;</a></span>resize_ijk_flag_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_flag_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__flag__t.html">ijk_flag_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57be25b12bf53f66f0cf035456c814a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57be25b12bf53f66f0cf035456c814a6">&#9670;&nbsp;</a></span>resize_ijk_r1_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_r1_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__r1__t.html">ijk_r1_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_d1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9f3a9ff4ad9beba68a40272fee02079"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9f3a9ff4ad9beba68a40272fee02079">&#9670;&nbsp;</a></span>resize_ijk_r2_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_r2_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__r2__t.html">ijk_r2_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_d1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_d2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb736c092bf33b3eede12c262cdfef82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb736c092bf33b3eede12c262cdfef82">&#9670;&nbsp;</a></span>resize_ijk_vec_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ijk_list_m::resize_ijk_ptr::resize_ijk_vec_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__vec__t.html">ijk_vec_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_ijk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_new</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="ijk__list__m_8f90.html">ijk_list_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
